package com.tofly.ghrq_route.module.deviceInfo.domain;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Generated;
import org.greenrobot.greendao.annotation.Id;

/**
 * Created by Amu on 2017/4/24.
 */

@Entity(nameInDb = "DB_DEVICEINFO_SAVED")
public class DeviceInfoBean {
    public static final int WORK_STATE_DEVICE_OPEN = 0; //开机
    public static final int WORK_STATE_ON = 1;          //上班
    public static final int WORK_STATE_ING = 2 ;        //工作中
    public static final int WORK_STATE_OFF = 3 ;        //下班
    public static final int WORK_STATE_UNVALID = 4 ;    //异常

    @Id
    private String id;
    @Expose() @SerializedName("gpsState")
    private int gps_state;     //gps状态 0：关闭 1:打开[必填]
    @Expose() @SerializedName("gpsPrecision")
    private String gps_precision; //定位精度 [选填]
    @Expose() @SerializedName("gpsStar")
    private int gps_star;      //卫星颗数 gps状态为1该项必填，gps状态为0时此项可填
    @Expose() @SerializedName("networkType")
    private int network_type;  //网络类型：gps:1,基站:2,wifi:3[必填]
    @Expose() @SerializedName("networkState")
    private int network_state; //网络状态 0：关闭 1：打开[必填]
    //private int work_state;    //工作状态 0：异常 1：正常[必填]
    @Expose() @SerializedName("gpsType")
    private int gps_type;               //轨迹类型 0：人巡 1：车巡 [必填]
    @Expose()
    private String carid;               //车巡时的车id
    @Expose()
    private int electricity;   //电量[必填]
    @Expose() @SerializedName("checkTime")
    private String check_time;    //设备检测时间[必填]
    private String note;       //备注[选填]
    @Expose() @SerializedName("residualSpace")
    private String residual_space;  //剩余空间[选填]

    @Generated(hash = 1899537213)
    public DeviceInfoBean(String id, int gps_state, String gps_precision,
            int gps_star, int network_type, int network_state, int gps_type,
            String carid, int electricity, String check_time, String note,
            String residual_space) {
        this.id = id;
        this.gps_state = gps_state;
        this.gps_precision = gps_precision;
        this.gps_star = gps_star;
        this.network_type = network_type;
        this.network_state = network_state;
        this.gps_type = gps_type;
        this.carid = carid;
        this.electricity = electricity;
        this.check_time = check_time;
        this.note = note;
        this.residual_space = residual_space;
    }

    @Generated(hash = 784809703)
    public DeviceInfoBean() {
    }

    public int getGps_state() {
        return this.gps_state;
    }

    public void setGps_state(int gps_state) {
        this.gps_state = gps_state;
    }

    public String getGps_precision() {
        return this.gps_precision;
    }

    public void setGps_precision(String gps_precision) {
        this.gps_precision = gps_precision;
    }

    public int getGps_star() {
        return this.gps_star;
    }

    public void setGps_star(int gps_star) {
        this.gps_star = gps_star;
    }

    public int getNetwork_type() {
        return this.network_type;
    }

    public void setNetwork_type(int network_type) {
        this.network_type = network_type;
    }

    public int getNetwork_state() {
        return this.network_state;
    }

    public void setNetwork_state(int network_state) {
        this.network_state = network_state;
    }

    public int getElectricity() {
        return this.electricity;
    }

    public void setElectricity(int electricity) {
        this.electricity = electricity;
    }

    public String getCheck_time() {
        return this.check_time;
    }

    public void setCheck_time(String check_time) {
        this.check_time = check_time;
    }

    public String getNote() {
        return this.note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getResidual_space() {
        return this.residual_space;
    }

    public void setResidual_space(String residual_space) {
        this.residual_space = residual_space;
    }

    public int getGps_type() {
        return this.gps_type;
    }

    public void setGps_type(int gps_type) {
        this.gps_type = gps_type;
    }

    public String getCarid() {
        return this.carid;
    }

    public void setCarid(String carid) {
        this.carid = carid;
    }
}
